Last Comment Bug 55959 - [META] Navigator 4.x plugin API implementation
: [META] Navigator 4.x plugin API implementation
Status: RESOLVED FIXED
[PL2:P1]
: meta
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: P1 normal with 1 vote (vote)
: mozilla1.4beta
Assigned To: Nobody; OK to take it and work on it
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on: 16519 32717 40556 40557 44216 44322 53349 53363 56311 56584 57499 58491 66205 89270 98641 105417 115891 117766 163888
Blocks: grouper
  Show dependency treegraph
 
Reported: 2000-10-10 10:45 PDT by Braden
Modified: 2012-01-25 22:48 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Braden 2000-10-10 13:02:28 PDT
This bug is intended to track outstanding issues with implementing the Navigator
4.x plugin API. It is *not* intended for general "legacy plugin X doesn't work"
reports.
Comment 1 R.K.Aa. 2000-10-21 01:43:11 PDT
Please see bug 35682, 56464, bug 56650, bug 57499. Track-worthy?
Comment 2 Braden 2000-10-22 17:12:18 PDT
None of those appear to be pointing to specific issues with the 4.x plugin API.
Comment 3 Braden 2000-11-16 11:21:07 PST
You're right about 57499. I've no idea why I thought otherwise before. Sorry.
Comment 4 chris hofmann 2001-02-22 18:15:14 PST
over to av to see if he wants to use this tracking bug...
marek/jud, is this on anyone's requirement list?
Comment 5 Marek Z. Jeziorek 2001-02-22 21:27:40 PST
I don't see known customers requesting it. Jud?
Comment 6 Judson Valeski 2001-02-23 08:24:33 PST
depends on what our plugin story is. if it is "we don't support 4.x plugins, and
all plugin vendors must rewrite their plugins to our new api" then this bug
isn't needed. This will boil down to how many plugin vendors we can get to convert.
Comment 7 karnaze (gone) 2001-03-21 16:59:34 PST
Moving to m1.0.
Comment 8 Peter Lubczynski 2001-05-03 22:04:55 PDT
Arun, here's another meta bug you may want to keep track of for outstanding 4xp 
isues.
Comment 9 Asa Dotzler [:asa] 2001-12-03 10:43:06 PST
Bugs targeted at mozilla1.0 without the mozilla1.0 keyword moved to mozilla1.0.1 
(you can query for this string to delete spam or retrieve the list of bugs I've 
moved)
Comment 10 rubydoo123 2002-05-30 14:29:06 PDT
setting to 1.1 with the dependent bugs
Comment 11 rubydoo123 2002-07-09 12:26:22 PDT
setting to PL2:P1
Comment 12 Marek Z. Jeziorek 2002-09-13 09:39:55 PDT
batch: adding topembed per Gecko2 document
http://rocknroll.mcom.com/users/marek/publish/Gecko/Gecko2Tasks.html
Comment 13 Michael Buckland 2002-10-25 14:44:23 PDT
Bulk adding topembed keyword.  Gecko/embedding needed.
Comment 14 rubydoo123 2002-12-06 14:57:33 PST
moving to 1.4 beta, dependent bugs will be worked on in plug-in branch
Comment 15 Josh Aas 2012-01-25 22:48:43 PST
I think we can consider this resolved fixed given that our NPAPI plugin implementation has been mature for a while now.

Note You need to log in before you can comment on or make changes to this bug.